If Shillien Knights are just like Palus Knights but more advanced, focusing on defense, a Bladedancer is a little bit different. First of all their defense ability lacks the most among Knights. They show great ability during party play or Siege Battle using skills of dance and other Supplementary Magic together to increase their party's experience. While in party play or during blood pledge war, Bladedancers are very useful but individual skills are behind Shillien Knights.
They have basic skills such as using the double-blades and magic skills which increase the party's attack power, hit rate, and attack speed or poisoning enemies around.
To be a Bladedancer, your level must be over 40 and you need to collect the Mark of the Challenger, the Mark of Fate, and the Mark of the Duelist.
Ask about marks.
Return